package controllers

import (
	"hongze/hongze_cygx/models"
	"hongze/hongze_cygx/services"
)

type SearchController struct {
	BaseAuthController
}

// @Title 搜索接口
// @Description 搜索接口
// @Param   KeyWord   query   string  true       "搜索关键词"
// @Success 200 {object} models.SearchItem
// @router /list [get]
func (this *SearchController) SearchList() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	keyWord := this.GetString("KeyWord")
	if keyWord == "" {
		br.Msg = "请输入搜索词"
		br.ErrMsg = "请输入搜索词"
		return
	}
	/*
	user := this.User
	if user == nil {
		br.Msg = "请重新登录"
		br.Ret = 408
		return
	}

	categoryList, err := models.GetCategoryByCompanyId(user.CompanyId)
	if err != nil {
		br.Msg = "检索失败！"
		br.ErrMsg = "检索分类信息失败，Err:" + err.Error()
		return
	}

	var categoryNameArr []string
	for _, v := range categoryList {
		categoryNameArr = append(categoryNameArr, v.CategoryName)
	}
	categoryName := strings.Join(categoryNameArr, ",")
	 */
	result, err := services.SearchByKeyWord(keyWord)
	if err != nil {
		br.Msg = "检索失败"
		br.ErrMsg = "检索失败，Err:" + err.Error()
		return
	}
	if len(result) == 0 {
		result = make([]*models.SearchItem, 0)
	}
	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = result
}

//https://blog.csdn.net/my_miuye/article/details/110496025
//search
